package org.wildfly.swarm.config.keycloak;

import org.wildfly.swarm.config.keycloak.RedirectRewriteRule;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface RedirectRewriteRuleConsumer<T extends RedirectRewriteRule<T>> {

	/**
	 * Configure a pre-constructed instance of RedirectRewriteRule resource
	 * 
	 * @parameter Instance of RedirectRewriteRule to configure
	 * @return nothing
	 */
	void accept(T value);

	default RedirectRewriteRuleConsumer<T> andThen(
			RedirectRewriteRuleConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}