package org.wildfly.swarm.config.keycloak;

import org.wildfly.swarm.config.keycloak.SecureServer;
import java.lang.FunctionalInterface;

@FunctionalInterface
public interface SecureServerConsumer<T extends SecureServer<T>> {

	/**
	 * Configure a pre-constructed instance of SecureServer resource
	 * 
	 * @parameter Instance of SecureServer to configure
	 * @return nothing
	 */
	void accept(T value);

	default SecureServerConsumer<T> andThen(SecureServerConsumer<T> after) {
		return (c) -> {
			this.accept(c);
			after.accept(c);
		};
	}
}